From: Felix Fietkau <nbd@nbd.name>
Subject: fix errors in unresolved weak symbols on arm

lede-commit: 570699d4838a907c3ef9f2819bf19eb72997b32f
Signed-off-by: Felix Fietkau <nbd@nbd.name>
---
 arch/arm/kernel/module.c | 4 ++++
 1 file changed, 4 insertions(+)

--- a/arch/arm/kernel/module.c
+++ b/arch/arm/kernel/module.c
@@ -105,6 +105,10 @@ apply_relocate(Elf32_Shdr *sechdrs, cons
 			return -ENOEXEC;
 		}
 
+		if ((IS_ERR_VALUE(sym->st_value) || !sym->st_value) &&
+		    ELF_ST_BIND(sym->st_info) == STB_WEAK)
+			continue;
+
 		loc = dstsec->sh_addr + rel->r_offset;
 
 		switch (ELF32_R_TYPE(rel->r_info)) {
